import BioRadReadImageOptions from './bio-rad-read-image-options.js';
import BioRadReadImageNodeResult from './bio-rad-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {BioRadReadImageOptions} options - options object
 *
 * @returns {Promise<BioRadReadImageNodeResult>} - result object
 */
declare function bioRadReadImageNode(serializedImage: string, options?: BioRadReadImageOptions): Promise<BioRadReadImageNodeResult>;
export default bioRadReadImageNode;
