import { Image } from 'itk-wasm';
import BioRadWriteImageOptions from './bio-rad-write-image-options.js';
import BioRadWriteImageNodeResult from './bio-rad-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {BioRadWriteImageOptions} options - options object
 *
 * @returns {Promise<BioRadWriteImageNodeResult>} - result object
 */
declare function bioRadWriteImageNode(image: Image, serializedImage: string, options?: BioRadWriteImageOptions): Promise<BioRadWriteImageNodeResult>;
export default bioRadWriteImageNode;
