import { Image } from 'itk-wasm';
import BmpWriteImageOptions from './bmp-write-image-options.js';
import BmpWriteImageNodeResult from './bmp-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {BmpWriteImageOptions} options - options object
 *
 * @returns {Promise<BmpWriteImageNodeResult>} - result object
 */
declare function bmpWriteImageNode(image: Image, serializedImage: string, options?: BmpWriteImageOptions): Promise<BmpWriteImageNodeResult>;
export default bmpWriteImageNode;
