import { Image } from 'itk-wasm';
import FdfWriteImageOptions from './fdf-write-image-options.js';
import FdfWriteImageNodeResult from './fdf-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {FdfWriteImageOptions} options - options object
 *
 * @returns {Promise<FdfWriteImageNodeResult>} - result object
 */
declare function fdfWriteImageNode(image: Image, serializedImage: string, options?: FdfWriteImageOptions): Promise<FdfWriteImageNodeResult>;
export default fdfWriteImageNode;
