import { Image } from 'itk-wasm';
import GdcmWriteImageOptions from './gdcm-write-image-options.js';
import GdcmWriteImageResult from './gdcm-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GdcmWriteImageOptions} options - options object
 *
 * @returns {Promise<GdcmWriteImageResult>} - result object
 */
declare function gdcmWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: GdcmWriteImageOptions): Promise<GdcmWriteImageResult>;
export default gdcmWriteImage;
