import { Image } from 'itk-wasm';
import GeAdwWriteImageOptions from './ge-adw-write-image-options.js';
import GeAdwWriteImageResult from './ge-adw-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {GeAdwWriteImageOptions} options - options object
 *
 * @returns {Promise<GeAdwWriteImageResult>} - result object
 */
declare function geAdwWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: GeAdwWriteImageOptions): Promise<GeAdwWriteImageResult>;
export default geAdwWriteImage;
