import { BinaryFile } from 'itk-wasm';
import Ge5ReadImageOptions from './ge5-read-image-options.js';
import Ge5ReadImageResult from './ge5-read-image-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {File | BinaryFile} serializedImage - Input image serialized in the file format
 * @param {Ge5ReadImageOptions} options - options object
 *
 * @returns {Promise<Ge5ReadImageResult>} - result object
 */
declare function ge5ReadImage(webWorker: null | Worker | boolean, serializedImage: File | BinaryFile, options?: Ge5ReadImageOptions): Promise<Ge5ReadImageResult>;
export default ge5ReadImage;
