import { Image } from 'itk-wasm';
import Hdf5WriteImageOptions from './hdf5-write-image-options.js';
import Hdf5WriteImageResult from './hdf5-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {Hdf5WriteImageOptions} options - options object
 *
 * @returns {Promise<Hdf5WriteImageResult>} - result object
 */
declare function hdf5WriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: Hdf5WriteImageOptions): Promise<Hdf5WriteImageResult>;
export default hdf5WriteImage;
