import { Image } from 'itk-wasm';
import MetaWriteImageOptions from './meta-write-image-options.js';
import MetaWriteImageResult from './meta-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MetaWriteImageOptions} options - options object
 *
 * @returns {Promise<MetaWriteImageResult>} - result object
 */
declare function metaWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: MetaWriteImageOptions): Promise<MetaWriteImageResult>;
export default metaWriteImage;
