import { Image } from 'itk-wasm';
import MincWriteImageOptions from './minc-write-image-options.js';
import MincWriteImageResult from './minc-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {MincWriteImageOptions} options - options object
 *
 * @returns {Promise<MincWriteImageResult>} - result object
 */
declare function mincWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: MincWriteImageOptions): Promise<MincWriteImageResult>;
export default mincWriteImage;
