import { Image } from 'itk-wasm';
import NrrdWriteImageOptions from './nrrd-write-image-options.js';
import NrrdWriteImageNodeResult from './nrrd-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {NrrdWriteImageOptions} options - options object
 *
 * @returns {Promise<NrrdWriteImageNodeResult>} - result object
 */
declare function nrrdWriteImageNode(image: Image, serializedImage: string, options?: NrrdWriteImageOptions): Promise<NrrdWriteImageNodeResult>;
export default nrrdWriteImageNode;
