import { Image } from 'itk-wasm';
import NrrdWriteImageOptions from './nrrd-write-image-options.js';
import NrrdWriteImageResult from './nrrd-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {NrrdWriteImageOptions} options - options object
 *
 * @returns {Promise<NrrdWriteImageResult>} - result object
 */
declare function nrrdWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: NrrdWriteImageOptions): Promise<NrrdWriteImageResult>;
export default nrrdWriteImage;
