// Generated file. To retain edits, remove this comment.
import { InterfaceTypes, runPipelineNode } from 'itk-wasm';
import path from 'path';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {PngReadImageOptions} options - options object
 *
 * @returns {Promise<PngReadImageNodeResult>} - result object
 */
async function pngReadImageNode(serializedImage, options = {}) {
    const mountDirs = new Set();
    const desiredOutputs = [
        { type: InterfaceTypes.JsonCompatible },
        { type: InterfaceTypes.Image },
    ];
    mountDirs.add(path.dirname(serializedImage));
    const inputs = [];
    const args = [];
    // Inputs
    const serializedImageName = serializedImage;
    args.push(serializedImageName);
    mountDirs.add(path.dirname(serializedImageName));
    // Outputs
    const couldReadName = '0';
    args.push(couldReadName);
    const imageName = '1';
    args.push(imageName);
    // Options
    args.push('--memory-io');
    if (typeof options.informationOnly !== "undefined") {
        options.informationOnly && args.push('--information-only');
    }
    const pipelinePath = path.join(path.dirname(import.meta.url.substring(7)), 'pipelines', 'png-read-image');
    const { returnValue, stderr, outputs } = await runPipelineNode(pipelinePath, args, desiredOutputs, inputs, mountDirs);
    if (returnValue !== 0 && stderr !== "") {
        throw new Error(stderr);
    }
    const result = {
        couldRead: outputs[0]?.data,
        image: outputs[1]?.data,
    };
    return result;
}
export default pngReadImageNode;
//# sourceMappingURL=png-read-image-node.js.map