import { Image } from 'itk-wasm';
import PngWriteImageOptions from './png-write-image-options.js';
import PngWriteImageResult from './png-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {PngWriteImageOptions} options - options object
 *
 * @returns {Promise<PngWriteImageResult>} - result object
 */
declare function pngWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: PngWriteImageOptions): Promise<PngWriteImageResult>;
export default pngWriteImage;
