import { Image } from 'itk-wasm';
import ReadImageOptions from './read-image-options.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Path to input image serialized in the file format
 * @param {ReadImageOptions} options - options to cast resulting image type or to only read image metadata
 *
 * @returns {Promise<Image>} - Image result
 */
declare function readImageNode(serializedImage: string, options?: ReadImageOptions): Promise<Image>;
export default readImageNode;
