import { Image } from 'itk-wasm';
import ScancoWriteImageOptions from './scanco-write-image-options.js';
import ScancoWriteImageResult from './scanco-write-image-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {ScancoWriteImageOptions} options - options object
 *
 * @returns {Promise<ScancoWriteImageResult>} - result object
 */
declare function scancoWriteImage(webWorker: null | Worker | boolean, image: Image, serializedImage: string, options?: ScancoWriteImageOptions): Promise<ScancoWriteImageResult>;
export default scancoWriteImage;
