import WasmReadImageOptions from './wasm-read-image-options.js';
import WasmReadImageNodeResult from './wasm-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {WasmReadImageOptions} options - options object
 *
 * @returns {Promise<WasmReadImageNodeResult>} - result object
 */
declare function wasmReadImageNode(serializedImage: string, options?: WasmReadImageOptions): Promise<WasmReadImageNodeResult>;
export default wasmReadImageNode;
