import WasmZstdReadImageOptions from './wasm-zstd-read-image-options.js';
import WasmZstdReadImageNodeResult from './wasm-zstd-read-image-node-result.js';
/**
 * Read an image file format and convert it to the itk-wasm file format
 *
 * @param {string} serializedImage - Input image serialized in the file format
 * @param {WasmZstdReadImageOptions} options - options object
 *
 * @returns {Promise<WasmZstdReadImageNodeResult>} - result object
 */
declare function wasmZstdReadImageNode(serializedImage: string, options?: WasmZstdReadImageOptions): Promise<WasmZstdReadImageNodeResult>;
export default wasmZstdReadImageNode;
