import { Image } from 'itk-wasm';
import WasmZstdWriteImageOptions from './wasm-zstd-write-image-options.js';
import WasmZstdWriteImageNodeResult from './wasm-zstd-write-image-node-result.js';
/**
 * Write an itk-wasm file format converted to an image file format
 *
 * @param {Image} image - Input image
 * @param {string} serializedImage - Output image serialized in the file format.
 * @param {WasmZstdWriteImageOptions} options - options object
 *
 * @returns {Promise<WasmZstdWriteImageNodeResult>} - result object
 */
declare function wasmZstdWriteImageNode(image: Image, serializedImage: string, options?: WasmZstdWriteImageOptions): Promise<WasmZstdWriteImageNodeResult>;
export default wasmZstdWriteImageNode;
